import { r as registerInstance, h } from './index-b4e0290f.js';
import { e as fx } from './index.esm.min-7f929673.js';

const bpSdkCreateAppFormButtonCss = ":host{display:block}";

let BpSdkCreateAppFormButton = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * Text to be displayed
     */
    this.text = '';
    /**
     * Id for button
     */
    this.buttonId = fx(8);
    /**
     * Controls disables state of button
     */
    this.buttonDisabled = false;
    this.useExternal = false;
  }
  resetState() { }
  connectedCallback() {
    this.resetState();
  }
  componentWillLoad() {
    this.useExternal = !!customElements.get('bp-sdk-external-create-app-form-button');
    customElements.whenDefined('bp-sdk-external-create-app-form-button').then(() => {
      this.useExternal = true;
    });
  }
  render() {
    return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
  }
  renderExternal() {
    return h("bp-sdk-external-create-app-form-button", { text: this.text, buttonId: this.buttonId, buttonDisabled: this.buttonDisabled });
  }
  renderInternal() {
    return h("bp-sdk-button", { class: "bp-sdk-create-form-button__container", text: this.text, buttonId: this.buttonId, buttonDisabled: this.buttonDisabled });
  }
};
BpSdkCreateAppFormButton.style = bpSdkCreateAppFormButtonCss;

export { BpSdkCreateAppFormButton as bp_sdk_create_app_form_button };
